data {
    int N;
    array[N] real Sts;
    array[N] real MEs;
}
transformed data {
    array[N] real LogMEs;
    real minSt;
    for (i in 1:N) {
        LogMEs[i] = log(MEs[i]);
    }
    minSt = Sts[1];
    for (i in 2:N) {
        if (minSt > Sts[i]) {
            minSt = Sts[i];
        }
    }
}
parameters {
    real<lower = 0.0> v_a;
    real<lower = 0.0> v_b;
    real<lower = 0.0, upper = 1.0> v_c;
    real<lower = 0.0> v_sgm;
}
transformed parameters {
    real a;
    real b;
    real c;
    real sgm;
    a = 10.0 * v_a + 0.001;
    b = 10.0 * v_b;
    c = v_c * minSt;
    sgm = v_sgm + 0.01;
}
model {
    v_a ~ exponential(0.1);
    v_b ~ exponential(0.1);
    v_c ~ beta(1.0, 1.0);
    v_sgm ~ exponential(0.1);
    for (i in 1:N) {
        LogMEs[i] ~ normal(log(a * pow(Sts[i] - c, b)), sgm);
    }
}
